Domains
All operations require authentication.
List domainsAlpha
Returns the names of the domains attached to the service. Filter them by state, such as ok or suspended.
Path parameters
Service
Query parameters
Filter the value of state property (=)
creatingdeletingokreopeningsuspendedsuspendingunknownResponse
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ domain \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a domainAlpha
Returns the type and state of the domain, its MX, SRV and SPF records with their validation status, the expected records, its DKIM diagnostics, its MX relay and its aliases.
Path parameters
Domain name
Service
Response
Cname that will be checked to prove the domain ownership
Dkim selectors and DNS configuration state
List of aliases for this domain
Domain validation status
Expected SRV record on this domain
Expected MX record(s) on this domain
Expected SPF record on this domain
Indicate if this domain is an alias for another domain
If true your DNS MX configuration is valid
Domain MX record configured in DNS
If specified, emails to not existing address will be redirected to that domain
Domain name
SPF record validation passed
Domain's SPF record configured in the DNS
If true your DNS SRV record is valid
Domain SRV record configured in DNS
Domain state
creatingdeletingokreopeningsuspendedsuspendingunknownPending tasks id
Domain type
authoritativenonAuthoritativeExample uses domainName = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ domain/ {domainName} \
-H "authorization: Bearer $OVH_TOKEN"{ "cnameToCheck": "string", "dkimDiagnostics": { "errorCode": 0, "message": "string", "state": "active" }, "domainAliases": [ "string" ], "domainValidated": true, "expectedAutodiscoverSRV": "string", "expectedMX": [ "string" ], "expectedSPF": "string", "isAliasDomain": true, "mxIsValid": true, "mxRecord": [ "string" ], "mxRelay": "string", "name": "string", "spfIsValid": true, "spfRecord": [ "string" ], "srvIsValid": true, "srvRecord": [ "string" ], "state": "creating", "taskPendingId": 0, "type": "authoritative"}
Add a domainProduction
Add a domain. Adds an authoritative or nonAuthoritative domain to the service and returns the task. For a domain hosted by OVHcloud, the MX, autodiscover SRV, SPF and DKIM records can be configured automatically.
Path parameters
The internal name of your pro organization
Request body (required)
Enable DKIM automatically after DKIM configuration
If you host domain in OVH we can configure autodiscover record automatically
Launch configuration of DKIM automatically for the domain
If you host domain in OVH we can configure mx record automatically
Enable automatic SPF record (only for domains hosted by OVHcloud)
If specified, emails to not existing address will be redirected to that domain
Domain to install on server
Type of domain that You want to install
authoritativenonAuthoritativeResponse
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ domain \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Remove a domainProduction
Remove a domain. Detaches the domain from the Email Pro service, which no longer serves email addresses on it, and returns the task.
Path parameters
Domain name
The internal name of your pro organization
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses domainName = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ domain/ {domainName} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Update a domainProduction
Update a domain. Updates the type of the domain, authoritative or nonAuthoritative, and its mxRelay, the domain that receives the emails sent to addresses that do not exist.
Path parameters
Domain name
The internal name of your pro organization
Request body (required)
Cname that will be checked to prove the domain ownership
List of aliases for this domain
Domain validation status
Indicate if this domain is an alias for another domain
If true your dns mx configuration is valid
Domain MX record configured in DNS
If specified, emails to not existing address will be redirected to that domain
Domain name
If true your dns srv record is valid
Domain SRV record configured in DNS
Domain state
creatingdeletingokreopeningsuspendedsuspendingunknownPending taks id
Domain type
authoritativenonAuthoritativeResponse
Example uses domainName = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ domain/ {domainName} \
-H "authorization: Bearer $OVH_TOKEN"List DKIM selectorsAlpha
Returns the names of the DKIM selectors of the domain. Get one to read its DNS record and its status.
Path parameters
Domain name
Service
Response
Example uses domainName = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ domain/ {domainName}/ dkim \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a DKIM selectorAlpha
Returns the status of the DKIM selector, the CNAME record to add to the DNS zone with its target and validation status, and the header used for the DKIM signature.
Path parameters
Domain name
Selector name
Service
Response
DNS CNAME validation passed
Customer DNS record
Header used for DKIM signature
Last update date
Record type of the customer record
CNAMESelector name
DKIM status
deletingdisablingenablinginProductionreadytodowaitingRecordTarget of the customer record
Pending task for this DKIM
Example uses domainName = string, selectorName = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ domain/ {domainName}/ dkim/ {selectorName} \
-H "authorization: Bearer $OVH_TOKEN"{ "cnameIsValid": true, "customerRecord": "string", "header": "string", "lastUpdate": "2024-01-01T12:00:00Z", "recordType": "CNAME", "selectorName": "string", "status": "deleting", "targetRecord": "string", "taskPendingId": 0}
Create a DKIM selectorProduction
Create a DKIM selector. Creates the DKIM selector selectorName on the domain and returns the task. Set configureDkim to configure its DNS record when the domain is hosted by OVHcloud, and autoEnableDKIM to enable it once configured.
Path parameters
Domain name
The internal name of your pro organization
Request body (required)
Enable DKIM automatically after DKIM configuration
If you host domain in OVH we can configure dkim dns record automatically
selector name for DKIM
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses domainName = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ domain/ {domainName}/ dkim \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Delete a DKIM selectorProduction
Delete a DKIM selector. Removes the DKIM selector and its key from the domain of the Email Pro service, and returns the task.
Path parameters
Domain name
selectorName
The internal name of your pro organization
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses domainName = string, selectorName = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ domain/ {domainName}/ dkim/ {selectorName} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Disable DKIM signingProduction
Disable DKIM signing. Stops signing the emails of the domain with this DKIM selector, and returns the task. The selector is kept.
Path parameters
Domain name
selectorName
The internal name of your pro organization
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses domainName = string, selectorName = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ domain/ {domainName}/ dkim/ {selectorName}/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Enable DKIM signingProduction
Enable DKIM signing. Signs the emails of the domain with the DKIM selector, or switches to it from the selector in use, and returns the task.
Path parameters
Domain name
selectorName
The internal name of your pro organization
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses domainName = string, selectorName = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ domain/ {domainName}/ dkim/ {selectorName}/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
List available DKIM selectorsProduction
List available DKIM selectors. Returns the selector names that can be used to create a DKIM selector on the domain.
Path parameters
Domain name
The internal name of your pro organization
Response
Example uses domainName = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ domain/ {domainName}/ dkimSelector \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]